BeagleWksSSParserInternal::Spreadsheet Struct Reference

Internal: the spreadsheet of a BeagleWksSSParser. More...

## Public Member Functions

| Spreadsheet ()
| constructor
bool | addFormula (MWAWVec2i const &cellPos, std::vector< MWAWCellContent::FormulaInstruction > const &formula)
| try to associate a formula to a cell
double | getRowHeight (int row) const
| returns the height of a row in point
double | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row
void | updateWidthCols ()
| update the number of columns and the width

## Static Public Member Functions

static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize)
| convert the m_widthCols, m_heightRows in a vector of of point size

## Public Attributes

int | m_numRows
| the number of rows
std::vector< int > | m_widthCols
| the column size in points
std::vector< int > | m_heightRows
| the row size in points
std::vector< Cell > | m_cells
| the list of not empty cells
int | m_lastReadRow
| the last read rows

## Detailed Description

Internal: the spreadsheet of a BeagleWksSSParser.

## Constructor & Destructor Documentation

## Spreadsheet()

BeagleWksSSParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |

inline

constructor

## Member Function Documentation

## addFormula()

bool BeagleWksSSParserInternal::Spreadsheet::addFormula | ( | MWAWVec2i const & | cellPos,
|  | std::vector< MWAWCellContent::FormulaInstruction > const & | formula )

try to associate a formula to a cell

Referenced by BeagleWksSSParser::readFormula().

## convertInPoint()

std::vector< float > BeagleWksSSParserInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize )

inline static

convert the m_widthCols, m_heightRows in a vector of of point size

## getRowHeight() [1/2]

double BeagleWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const

inline

returns the height of a row in point

Referenced by getRowHeight().

## getRowHeight() [2/2]

double BeagleWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated ) const

inline

returns the height of a row in point and updated repeated row

## updateWidthCols()

void BeagleWksSSParserInternal::Spreadsheet::updateWidthCols | ( |  | ) |

inline

update the number of columns and the width

## Member Data Documentation

## m_cells

std::vector<Cell> BeagleWksSSParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by addFormula(), BeagleWksSSParser::readRowSheet(), Spreadsheet(), and updateWidthCols().

## m_heightRows

std::vector<int> BeagleWksSSParserInternal::Spreadsheet::m_heightRows

the row size in points

Referenced by getRowHeight(), getRowHeight(), BeagleWksSSParser::readRowSheet(), and Spreadsheet().

## m_lastReadRow

int BeagleWksSSParserInternal::Spreadsheet::m_lastReadRow

the last read rows

Referenced by BeagleWksSSParser::readRowSheet(), and Spreadsheet().

## m_numRows

int BeagleWksSSParserInternal::Spreadsheet::m_numRows

the number of rows

Referenced by BeagleWksSSParser::readRowSheet(), and Spreadsheet().

## m_widthCols

std::vector<int> BeagleWksSSParserInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by BeagleWksSSParser::readColumnWidths(), Spreadsheet(), and updateWidthCols().

The documentation for this struct was generated from the following file:

- BeagleWksSSParser.cxx